unit ulau;

interface
uses SysUtils, Controls, ULObju, ULAObju, Forms;

function ULAEDIT(AObj: TULAObj):integer;export;

{function ULDRBROWSE(AObj: TULDRObj):integer;export;
  { not used yet }
const
  CurULAObj: TULAObj = nil;

implementation
uses
  UlanType, UlanGlob, {v0.14} Spectrum,{/v0.14} AnalSetupFrm;

function ULAEDIT(AObj: TULAObj):integer;
var frm: TAnalSetupForm;
begin
  {Result := mrCancel;}
  CurULAObj := AObj;
  try

    {case UserMode of
      umUser: begin
        case AObj.DeviceType of

          dtPump: begin
            if Modules.FindModuleWithPropVal(piULDR, IntToStr(longint(AObj)), m) then begin
              Result := PumpFrmEdit(m);
              exit;
            end;
          end;

        end;
      end;
    end;
    Result := AObj.Edit;}
    CurULObj := AObj;
    frm := TAnalSetupForm.Create(Application.MainForm);
    {v0.50}
    CurULAObj := nil;
    Result := frm.ShowModal;
    {/v0.50
    frm.Show;
    Result := mrOK;}
  finally
    CurULAObj := nil;
  end;
end;


{function ULDRBROWSE(AObj: TULDRObj):integer;export;
begin
  Result := mrCancel;
end;}

end.
